# bootstrapping does not work on distros with inadequate autotools (mdk-10.0, mdk-10.1)
%define bootstrap 0

Summary: Generator Tools for Coding SOAP/XML Web Service and Client Applications
Name: gsoap
Version: 2.7.8a
%define gsoap_version %(echo %{version}|sed 's/\.[0-9a-z]*$//')
Release: 2ng%{?dist}
URL: http://www.cs.fsu.edu/~engelen/soap.html
Source: http://belnet.dl.sourceforge.net/sourceforge/gsoap2/%{name}_%{version}.tar.gz
Source1: README.NorduGrid
Patch: gsoap_shared.patch
Patch1: gsoap_build.patch
Patch2: gsoap_openssl098.patch
License: gSOAP Public License
Group: Development/Languages
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: flex, bison
BuildRequires: libtool
%if %{bootstrap}
BuildRequires: autoconf >= 2.59, automake
%endif

%package devel
Summary: Generator Tools for Coding SOAP/XML Web Service and Client Applications
Group: Development/Languages
Requires: %{name}
%description devel
Generator Tools for Coding SOAP/XML Web Service and Client Applications in C
and C++

%description
Generator Tools for Coding SOAP/XML Web Service and Client Applications in C
and C++

%prep
%setup -q -n %{name}-%{gsoap_version}
%patch -p1
%if !%{bootstrap}
%patch1 -p1
%endif
%patch2 -p1
cp -p %{SOURCE1} README.NorduGrid

%build
rm -rf autom4te.cache
%if %{bootstrap}
autoreconf --install --force
%endif
./configure --prefix=%{_prefix} --libdir=%{_libdir}
make -C soapcpp2 libgsoap++.la
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt NOTES.txt
%doc README.NorduGrid
%{_libdir}/libgsoap.so.0
%{_libdir}/libgsoap++.so.0
%{_libdir}/libgsoapck.so.0
%{_libdir}/libgsoapck++.so.0
%{_libdir}/libgsoapssl.so.0
%{_libdir}/libgsoapssl++.so.0
%{_libdir}/libgsoap.so.0.0.0
%{_libdir}/libgsoap++.so.0.0.0
%{_libdir}/libgsoapck.so.0.0.0
%{_libdir}/libgsoapck++.so.0.0.0
%{_libdir}/libgsoapssl.so.0.0.0
%{_libdir}/libgsoapssl++.so.0.0.0

%files devel
%defattr(-,root,root)
%doc soapcpp2/changelog.html
%doc soapcpp2/README.txt soapcpp2/NOTES.txt
%doc soapcpp2/doc
%{_prefix}/bin/soapcpp2
%{_prefix}/bin/wsdl2h
%{_prefix}/include/stdsoap2.h
%{_libdir}/libgsoap.a
%{_libdir}/libgsoap.la
%{_libdir}/libgsoap.so
%{_libdir}/libgsoap++.a
%{_libdir}/libgsoap++.la
%{_libdir}/libgsoap++.so
%{_libdir}/libgsoapck.a
%{_libdir}/libgsoapck.la
%{_libdir}/libgsoapck.so
%{_libdir}/libgsoapck++.a
%{_libdir}/libgsoapck++.la
%{_libdir}/libgsoapck++.so
%{_libdir}/libgsoapssl.a
%{_libdir}/libgsoapssl.la
%{_libdir}/libgsoapssl.so
%{_libdir}/libgsoapssl++.a
%{_libdir}/libgsoapssl++.la
%{_libdir}/libgsoapssl++.so
%{_libdir}/pkgconfig/gsoap.pc
%{_libdir}/pkgconfig/gsoap++.pc
%{_libdir}/pkgconfig/gsoapck++.pc
%{_libdir}/pkgconfig/gsoapck.pc
%{_libdir}/pkgconfig/gsoapssl++.pc
%{_libdir}/pkgconfig/gsoapssl.pc

%changelog
* Fri Jul  6 2007 Anders Waananen <waananen@nbi.dk> - 2.7.8a-2ng
- Add dist tag to release
* Mon Jun 12 2006 Anders Waananen <waananen@nbi.dk> - 2.7.8a-1ng
- New upstream version - gSOAP 2.7.8a
- Added patch gsoap_openssl098.patch to handle building against OpenSSL 0.9.8
* Mon Jun  5 2006 Anders Waananen <waananen@nbi.dk> - 2.7.7-1ng
- Added README.NorduGrid
* Mon Apr 17 2006 Anders Waananen <waananen@nbi.dk>
- New upstream version - gSOAP 2.7.7
- Add macros to switch bootstrap
* Wed Oct 26 2005 Anders Waananen <waananen@nbi.dk> - 2.7.6c-1.1shared
- Remove automake cache
* Wed Oct 26 2005 Anders Waananen <waananen@nbi.dk> - 2.7.6c-1shared
- Support shared libraries
* Thu Sep 22 2005 Anders Waananen <waananen@nbi.dk> - 2.7.6c-1
- Removed non-existant soapcpp2/COPYING.txt
- Added extra library files from gsoapssl
* Thu Jun  2 2005 Anders Waananen <waananen@nbi.dk> - 2.7.2
- More 64bit (lib64) friendly
* Mon Feb 23 2004 Aleksandr Konstantinov <aleksandr.konstantinov@fys.uio.no>
- New version - gSOAP 2.5.2
* Tue Aug 12 2003 Anders Waananen <waananen@nbi.dk>
- Add dependency on byacc
* Fri May  2 2003 Anders Waananen <waananen@nbi.dk>
- Initial build.
